package tutorialJava.examenes.examen20241213;

import tutorialJava.Utils;

public class Ave extends Animal {

	private float envergaduraAlas;

	public Ave() {
		super();
	}

	public Ave(String nombre) {
		super(nombre);
		this.envergaduraAlas = Utils.obtenerNumeroAzar(15, 200);
	}

	@Override
	public float calcularEspacio() {
		return (float) (this.peso * 1.5 + this.envergaduraAlas * 2);
	}

	public float getEnvergaduraAlas() {
		return envergaduraAlas;
	}

	public void setEnvergaduraAlas(float envergaduraAlas) {
		this.envergaduraAlas = envergaduraAlas;
	}

	@Override
	public String toString() {
		return "Ave [envergaduraAlas=" + envergaduraAlas + ", nombre=" + nombre + ", peso=" + peso
				+ ", calcularEspacio()=" + calcularEspacio() + "]";
	}
	
	
}
